class GoSso::User
  def initialize(attrs)
    @attrs = attrs
  end

  def can_access?(app_name)
    applications.include?(app_name.to_s)
  end

  def applications
    @attrs['applications'] || []
  end

  def method_missing(m, *args, &block)
    method_name = m.to_s
    if @attrs.has_key?(method_name)
      @attrs[method_name]
    else
      super
    end
  end
end