module GoSso
  class Engine < ::Rails::Engine
    initializer "go_sso.configs", before: :load_config_initializers do
      GoSso.set_default_options!
    end

    initializer "go_sso.helpers" do
      ActiveSupport.on_load(:action_controller) do
        include Controllers::Helpers
      end
    end
  end
end
